Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.convert
Class ConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.core.convert.ConversionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConversionFailedException, ConverterNotFoundException

    public abstract class ConversionException

extends NestedRuntimeException

Base class for exceptions thrown by the conversion system.

Since:
  3.0
Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`ConversionException(java.lang.String message)` Construct a new conversion exception.
`ConversionException(java.lang.String message, java.lang.Throwable cause)` Construct a new conversion exception.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConversionException

    public ConversionException(java.lang.String message)

  Construct a new conversion exception.

  Parameters:
    `message` - the exception message

### ConversionException

    public ConversionException(java.lang.String message,
                               java.lang.Throwable cause)

  Construct a new conversion exception.

  Parameters:
    `message` - the exception message
    `cause` - the cause

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD